Description

One very handy feature that many design software have is the ability to use simple math expressions in size and position controls fields.

For instance, if you have an item with a height of x, and you want to double it's height, you would be able to simply type after the x value '*

2' and press enter. The control would solve the math expression and set the new value. The same could be done with +, - , / and even %

Associated revisions

Revision 7400106e - 2014-12-05 10:39 AM - Nyall Dawson

[FEATURE] Evaluate expressions entered in QgsDoubleSpinBox

Allows entry of QGIS expressions into the spin box. The expression

is evaluated on enter or loss of focus and then discarded.

(refs #10544)

Revision dfe79807 - 2014-12-05 12:14 PM - Nyall Dawson

Flip all composer double spin boxes to QgsDoubleSpin (refs #10544)

Add clear buttons to applicable properties.

Revision 697ef510 - 2014-12-05 01:39 PM - Nyall Dawson

Also evaluate expressions entered in QgsSpinBox

and flip all composer spin boxes to QgsSpinBox (refs #10544)

History

#1 - 2014-06-11 07:30 AM - Andreas Neumann

There is an ongoing contract (a swiss province and Nyall Dawson) that will implement expression support for page resizing in Atlas serial printing.

This is kind of similar to your request - but slightly different. I guess you need just a temporary expression to calculate stuff, not in the atlas printing context.

#2 - 2014-06-11 12:56 PM - Nyall Dawson
Yeah - that's what I'm thinking. A temporary expression which evaluates once and then updates the text box with the evaluated value.

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-05-02 12:30 PM - Alexandre Neto

I had the feeling that this was done already. Am I wrong?

#5 - 2017-05-02 06:27 PM - Giovanni Manghi

- Description updated

- Status changed from Open to Feedback

#6 - 2017-05-02 08:59 PM - Nyall Dawson

Not completely - there's still some widgets which use line edits instead of spin boxes and I'd like to allow math in these too

#7 - 2018-03-17 01:32 AM - Alexandre Neto

Any changes on this? Are there still widgets not allowing math?

I wouldn't mind help on that.
